const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi_global_2d_to_2d_local - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi_global_2d_to_2d_local - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi_global_2d_to_2d_local - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi_global_2d_to_2d_local - 48)));
    if *((edi_global_2d_to_2d_local - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi_global_2d_to_2d_local - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_28, v5_17);
    tmp248 = fabs(__asm_movsd_2(v5_1c));
    v2_62 = sqrtl(tmp243 * tmp243 + stack_var__2d_28 * stack_var__2d_28) # bp+62;
    v5_75 = *((edi_global_2d_to_2d_local - 16)) # bp+75;
    v5_7a = *((edi_global_2d_to_2d_local - 72));
    v7_81 = tmp248 - *((edi_global_2d_to_2d_local - 84)) # bp+81;
    v4_8a = v2_62 * tmp248 + (v2_62 - 1.0) * v5_75 - v5_7a + v7_81 + fabsl(v7_81);
    if *((edi_global_2d_to_2d_local - 76)) == 0:;
        # 0x92;
        v1_95 = v4_8a / *((edi_global_2d_to_2d_local - 32));
    else:;
        v1_95 = v4_8a;
    # 0x95;
    *((esi_global_2d_to_2d_local - 32)) = v1_95;
    return z.x_global_2d_to_2d_local;


	}